/* nazwa pliku:   	suwmiarka.h
 opis:       		Odczyt z suwmiarki - nagłówek
*/

#ifndef __SUWMIARKA_H
#define __SUWMIARKA_H

#include <stdint.h>

//-----------------------------Stałe------------------------------//
//kody klawiszy
#define CALIPER_ISR_TIMEOUT 2 //2ms na wykonanie przerwania od suwmiarki
#define CALIPER_MEAS_TIMEOUT 500 //jezeli suwmiarka nie nadaje przez 500ms - jest odłączona

//bity w Caliper_State
#define CALIPER_CONNECTED 0x01

//zwracane wartoĵści Caliper_ISRWait()
#define NO_ERROR 0
#define TIMEOUT -1

//Caliper_ISRState - wartości
#define CALIPER_START 0
#define CALIPER_ABS_DATA 1
#define CALIPER_MIDDLE 2
#define CALIPER_REL_DATA 3
#define CALIPER_END 4
#define CALIPER_TIMEOUT 5

//-----------------------------Funkcje------------------------------//
void Caliper_Initialize (void);
uint32_t Caliper_GetAbsVal (void);
uint32_t Caliper_GetRelVal (void);
uint8_t Caliper_GetState (void);

#endif

